.ptab-container {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-32);
}

.ptab-nav {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    list-style: none;
    padding: 0;
    margin: unset!important;
}

.ptab-nav-item {
    cursor: pointer;
    text-align: center;
    position: relative;
    padding: var(--spacing-8);
    display: flex;
    flex-direction: column;
    gap: var(--spacing-8);
    width:100%;
    min-width: fit-content;
	transition: all 0.3s ease-in-out;
}

.ptab-nav-item .ptab-icon img {
  width: 32px;
  height: 32px;
  border-radius: 0px;
}

.ptab-nav-item .ptab-icon {
    display: flex;
    align-items: center;
	justify-content: center;
}

.ptab-nav-item .ptab-icon,
.ptab-nav-item .ptab-label {
    z-index: 1;
    position: relative;
}

.ptab-nav-item .ptab-label {
  font-weight: 500;
}

.ptab-nav-item::after {
    content: '';
    position: absolute;
    left: -6px;
    bottom: 0;
    width: 1px;
    height: 100%;
    background: #cccccc;
}

.ptab-nav-item:first-of-type::after {
    display: none;
}

.ptab-nav-item::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    bottom: 0;
    background: var(--e-global-color-secondary);
    transform: scaleX(0) scaleY(0.03);
    transform-origin: bottom left;
    transition: transform 0.3s ease-in-out;
    z-index: 0;
    border-radius: var(--radius-4);
}

.ptab-nav-item:hover::before {
    transform: scaleX(1) scaleY(0.04);
}

.ptab-nav-item.active::before {
    transform: scaleY(1);
}

.ptab-nav-item.active .ptab-label {
    color: white;
}

.ptab-nav-item:hover {
    background: none;
    color: var(--e-global-color-text);
}

.ptab-nav-item .icon-light {
    transition: filter 0.3s ease-in-out;
}

.ptab-nav-item .icon-light {
    filter: grayscale(0%) brightness(100%);
}

.ptab-panels {
    display: flex;
    flex-direction: column;
}

.ptab-panel {
    display: none;
    overflow: hidden;
}

.ptab-panel-archive {
    background-image: url('/wp-content/uploads/2025/05/gradient-mesh-rb.svg');
    background-position: center center;
    background-size: cover;
    border: 2px solid var(--e-global-color-primary);
    box-shadow: 0px 8px 24px rgba(0, 0, 0, 0.25);
}

.ptab-panel-archive.active {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
	min-height: 450px;
}

.ptab-panel-gallery.active {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-16); /* Align with potential mosaic spacing */
}

.ptab-panel .content-wrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-16);
    border-radius: var(--radius-24);
    overflow: hidden;
	justify-content: center;
}

.ptab-panel .content-wrapper h3,
.ptab-panel .content-wrapper p {
    color: white !important;
}

.ptab-offer-column {
    position: relative;
    width: 100%;
    display: flex;
    align-items: flex-end;
    padding: var(--spacing-16);
}

.ptab-offer-column .offer-box {
    position: relative;
    z-index: 1;
    width: 100%;
}

.offer-box .expiration-date {
    background-color: var(--e-global-color-secondary);
    color: white;
    padding: var(--spacing-8) var(--spacing-16);
}

.offer-box .offer-expiration-wrapper {
    display: flex;
    align-content: center;
    justify-content: space-between;
    gap: var(--spacing-6);
    flex-wrap: wrap;
}

.offer-box .lp-countdown {
    display: flex;
    color: white;
    gap: 0.5em;
    justify-content: space-between;
}

.offer-box .offer-expiration-intro {
    color: white;
    font-size: 16px;
    font-weight: 400;
    text-align: center;
}

.offer-box .lp-countdown .countdown-col {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1px;
    font-size: 16px;
}

.offer-box .lp-countdown .countdown-col span {
    color: var(--e-global-color-397ad69);
    font-weight: 900;
    font-size: 1.25rem;
    line-height: 1em;
}

.offer-box a {
    color: var(--e-global-color-accent);
    font-weight: 700;
    text-transform: lowercase;
    transition: color 0.3s ease-in-out;
}

.offer-box a:hover {
    color: var(--e-global-color-primary);
}

.offer-box h3 {
    font-family: var(--e-global-typography-0a30645-font-family), Sans-serif;
    font-size: var(--e-global-typography-0a30645-font-size);
    font-weight: var(--e-global-typography-0a30645-font-weight);
    text-transform: var(--e-global-typography-0a30645-text-transform);
    line-height: var(--e-global-typography-0a30645-line-height);
    letter-spacing: var(--e-global-typography-0a30645-letter-spacing);
    color: var(--e-global-color-secondary);
}

.offer-box h3 span {
    color: var(--e-global-color-primary);
    font-weight: 900;
    text-transform: uppercase;
}

.offer-box .offer-content {
    padding: var(--spacing-24) var(--spacing-16);
}

@media (max-width: 767px) {
.ptab-nav {
        display: flex;
        align-content: flex-end;
        align-items: flex-start;
        justify-content: flex-start;
        flex-wrap: nowrap;
        overflow-x: auto;
        padding-bottom: 8px;
    }
	 .ptab-nav::-webkit-scrollbar { height: 8px; }
    .ptab-nav::-webkit-scrollbar-thumb { background: rgba(0,0,0,0.08); border-radius: 6px; }

    .ptab-nav-item {
        flex-direction: column;
        max-width: fit-content;
        width: 100%;
    }

    .ptab-nav-item .ptab-label {
        font-size: 14px;
    }


    .ptab-nav-item::after {
        left: -4px;
    }
	
	.ptab-nav-item .ptab-icon img {
  width: 24px;
  height: 24px;
  border-radius: 0px;
}
	
	.ptab-panel-archive.active {
		flex-direction: column!important;
	}

    .offer-box .lp-countdown .countdown-col span {
        font-size: 1rem;
    }
    .offer-box .lp-countdown .countdown-col {
        font-size: 14px;
    }
    .offer-box .lp-countdown {
        justify-content: space-between;
    }
}

@media (max-width: 480px) {
    .offer-box .offer-content {
        padding: var(--spacing-16);
    }
}
